<!-- Content Management DEFAULT STYLE -->
<link rel="stylesheet" type="text/css" href="/custom/default.css"/>

<rb:script src="/include/system.js"/>
<rb:script src="/include/util.js"/>

<rb:script>
// Check for the default flag.
var rb$params = rb.page.formdata();
var sessionData = rb.page.session.read();
  
if (rb$params.draft!=null) {
  var preview = (rb$params.draft=='yes' && extauth.sessionUser && extauth.isIn('super,webadmin,web'))
  sessionData.preview = preview;
  rb.page.session.write(sessionData);
}
else
  var preview = (sessionData.preview && extauth.sessionUser && extauth.isIn('super,webadmin,web'));

var menuGif       = '';
var use_bodywidth =  708;
var bodywidth     =  608;
var bodycols      =  2;
var bigbodywidth  =  708;
var defBodyStyle  = 'padding:5px 10px 5px 10px; margin-left:10px; max-width:'+bodywidth+'; width:'+bodywidth+';min-height:300px'; // 'overflow:auto; max-height:300; height:300;max-width:640; width:640;';
var bigBodyStyle  = 'padding:5px 10px 5px 10px; margin-left:10px; max-width:'+bigbodywidth+'; width:'+bigbodywidth+';min-height:300px';
var bodyStyle     = bigBodyStyle;
var includeRightBar = true;

var Banner = '';
var brws = rb.page.env.UserAgent();

var isOldNetscape = (brws.search(/Mozilla\/4.7/)>=0);

var preview       = false;

// See whether we're allowed to edit this page. Allowed to edit *if* we're a webadmin.
var enablePageEdit=false;
var editAccessList='super,webadmin';
var enableSpecialEdit;

// rb.page.write('<h1>'+brws+', isOldNetscape='+isOldNetscape+'</h1>\n');

// Set up default (user) help file. This is reset to other files by
// menus.inc as appropriate to the logged on user
function todaysDateIs()	{

	var months = [ '','January','February','March',
    'April','May','June','July','August','September',
    'October','November','December' ];

	var date = new Date();
	var day  = date.getDate();
	var month = date.getMonth() + 1;
	var yy = date.getYear();
	var year = (yy < 1000) ? yy + 1900 : yy;

	return ' '+ day + ' ' + months[month] + ' ' + year + ' ';
}
</rb:script>
<rb:macrotag name="rbm:dobanner">
  var thisTag    = rb.xml.thisTag();

  if (isOldNetscape)
    rb.page.write('<div align="right" style="font-family: arial black, sans-serif; font-size:36px; color:#800080">'+Banner+'</div>\n');
  else {
    rb.page.write('<div class="Banner">\n');
    rb.page.write('<span class="BannerBig">'+Banner+'</span>\n');
    rb.page.write('<span class="BannerSmall">'+Banner+'</span>\n</div>\n');
  }
</rb:macrotag>

<rb:macrotag name="rbm:banner">
  // Make sure a banner tag does nothing.
  var Banner = rb.xml.thisTag().execute().bodytext();
</rb:macrotag>

<rb:macrotag name="rbm:insertblock">
  // Insert a named rb:block chunk into the output. If there is no name attribute - look to see whether there is a
  // 'blockTag' in the paramter scope - if so then insert this. If the named block does *not* exist then the 'default'
  // value us generated. The default default value is nothing.
  var thisTag = rb.xml.thisTag();
  
  if (thisTag.attributes.name!=null)
    // Find the block with this ID.
    var blockTag = rb.xml.root.findId(thisTag.attributes.name)[0];

  if (blockTag!=null) {
    // Output this block here.
    rb.page.write(blockTag.execute().bodytext());
  }  
  else if (thisTag.attributes['default']!=null)
    rb,page,write(thisTag.attributes['default']);
</rb:macrotag>


<rb:block rb:id="layout">
  <table border="0" cellpadding="0" cellspacing="0" width="750" style="width:750">
    <colgroup>
      <col width=  "1">
      <col width="748">
      <col width=  "1">
    </colgroup>
    <tr>
      <!-- Output the header block. -->
      <td colspan="3" height="50px" valign="top" width="750"><rbm:insertblock name="block_top"/></td>
    </tr>
    <tr>
      <td bgcolor="#2E068A" style="width:1; overflow:hidden"><img src="/images/spacer.gif" width="1" height="1"></td>
      <td width="748">
        <table border="0" cellpadding="0" cellspacing="0" width="100%">
          <tr>
            <rb:test expr="includeRightBar && true">
              <rb:true>
                <rbm:insertblock name="yh_left"/>
              </rb:true>
              <rb:false>
                <td width="0" >&nbsp;</td>
              </rb:false>
            </rb:test>
            <td align="center" height="300" valign="top" bgcolor="#ffffff" rb:eval="preview?'background=&quot;/images/draft.gif&quot;':''">
              <div rb:eval="style#bodyStyle" align="left" style="padding:5px 0 5px 5px;">
                <rb:eval expr="bodyText"/>
              </div>
            </td>
          </tr>
        </table>
      </td>
      <td bgcolor="#2E068A" style="width:1; overflow:hidden"><img src="/images/spacer.gif" width="1" height="1"></td>
    </tr>
    <tr><!-- The footer. --><td colspan="3" width="750" valign="top" align="left" bgcolor="#FFCF00"><rbm:insertblock name="block_foot"/></td></tr>
  </table>
  <rb:insertdebug/>
</rb:block>

<rb:macrotag name="body">
  // Execute the 'layout' block.
  var blockTag = rb.xml.thisTag();
  var layout   = rb.xml.root.findId('layout')[0];

  rb.page.write('<body ');
  for (var i in blockTag.attributes) {
    rb.page.fwrite(' %s="%s"', i, blockTag.attributes[i]);
  }
  rb.page.write('leftmargin="10" topmargin="5" marginwidth="10" marginheight="5"  bgcolor="#E5E5E5">\n',layout.execute({bodyText:blockTag.execute().bodytext()}).bodytext(),'\n</body>\n');
</rb:macrotag>

<rb:include src="/include/menu.inc" />
<rb:script  src="/custom/menu-horiz.js"/>

<rb:block rb:id="block_top">
    <table border="0" cellpadding="0" cellspacing="0" width="750">
      <colgroup><col width="268"><col width="482"></colgroup>
      <tr>
        <td rowspan="2" width="268" height="50" style="background-image:url(/custom/images/tallmenuback.gif); background-repeat:repeat-x; width:268;max-width:268; overflow:hidden"><a href="/index.rhtm"><img border="no" src="/custom/images/logo.gif" alt="YellowHawk Logo" border="0"></a></td>
        <td align="right" height="22">
          <span class="Banner"><rb:eval expr="Banner"/></span>
        </td>
      </tr>
      <tr>
        <td style="background-image:url(/custom/images/menuback.gif); background-repeat:repeat-x" height="28" valign="top" align="right" colspan="2">
            <rb:script>
              var opts = {level:'1', def:true, isNetscape:isOldNetscape,
                styles:{norm:'topMenu', sel:'topMenuSel', }}
                Menu.render('default','horizTopLevel', opts);
            </rb:script>
        </td>
      </tr>
    </table>
</rb:block>

<rb:block rb:id="yh_left">
  <rb:script>
    // See whether there is a page specific side-bar block to display.
    var sidebar = rb.xml.root.findId('sidebar')[0];

    if (sidebar!=null) {
      rb.page.write(sidebar.execute().bodytext());
    }

    var opts = {level:'2', def:true, 
      styles:{norm:'topMenu', sel:'topMenuSel'}}
    var outStr = Menu.render('default','vertLevel2', opts);
  </rb:script>
  <rb:test expr="outStr!=null && outStr.length>0">
    <rb:true>
      <rb:eval expr="bodycols = 1;bodyStyle=defBodyStyle;''"/>
      <td width="100" valign="top" align="right" bgcolor="#ffffff">
      <div  style="width:100; max-width:100; overflow:hidden">
      <table border="0" cellpadding="0" cellspacing="0" width="100">
        <colgroup><col width="4"><col width="1"><col width="90"/><col width="1"/><col width="4"/></colgroup>
        <tr><td colspan="5" height="5" bgcolor="#FFFFFF"><img src="/images/spacer.gif" width="100" height="5"></td></tr>
        <tr>
          <td rowspan="5" bgcolor="#ffffff"><img src="/images/spacer.gif" width="4" height="1"/></td>
          <td rowspan="5" width="1" bgcolor="#2E068A"><img src="/images/spacer.gif" width="1" height="1"></td>
          <td height="1" bgcolor="#2E068A"><img src="/images/spacer.gif" width="90" height="1"></td>
          <td rowspan="5" width="1" bgcolor="#2E068A"><img src="/images/spacer.gif" width="1" height="1"></td>
          <td rowspan="5" width="4" bgcolor="#FFFFFF"><img src="/images/spacer.gif" width="4" height="1"></td>
        </tr>
        <tr>
          <td bgcolor="#FFCE00" align="center">related pages</td>
        </tr>
        <tr height="1px" ><td height="1px" bgcolor="#2E068A"><img src="/images/spacer.gif" width="90" height="1"></td></tr>
        <tr>
          <td width="90" align="left" valign="top" style="width:90;max-width:90;height:100; overflow:hidden; background-color:#FFCE00">
            <div style="overflow:hidden">
              <rb:eval expr="outStr"/>
            </div>
          </td>
        </tr>
        <tr><td height="1" bgcolor="#2E068A"><img src="/images/spacer.gif" width="90" height="1"></td></tr>
        <tr><td colspan="5" height="5" bgcolor="#FFFFFF"><img src="/images/spacer.gif" width="100" height="1"></td></tr>
      </table>
      <!--div align="center" width="100"><rb:eval expr="menuGif==''?'':'<img src=&quot;'+menuGif+'&quot;/>'"/></div-->
      </div>
      </td>
    </rb:true>
  </rb:test>
</rb:block>

<rb:block rb:id="block_foot">
  <rb:script>
    if (enablePageEdit) {
      // Page is nomimally allowed to be modified. Check we have webadmin access.
      enablePageEdit = extauth.isIn(editAccessList);
    }
  </rb:script>
  <table border="0"  cellpadding="0" cellspacing="0" width="750">
    <colgroup>
      <col width="1">
      <col width="748">
      <col width="1">
    </colgroup>
    <tr><td colspan="3" bgcolor="#2E068A" width="750" height="1"><img src="/images/spacer.gif" width="750" height="1"></td></tr>
    <tr height="30" valign="middle">
      <td width="1" height="20" bgcolor="#2E068A"><img src="/images/spacer.gif" width="1" height="1"/></td>
      <td align="left" valign="middle" width="748" bgcolor="#BDADD6">
        <table border="0" cellpadding="0" cellspacing="0" width="750">
          <tr>
            <td valign="middle">
              <div class="botText" style="padding:0 0 0 0">
                <img src="/images/spacer.gif" width="25" height="1">
                <a class="botMenu" href="/content/contact.rhtm">contact</a>&nbsp;|&nbsp;
                <rb:test expr="extauth.sessionAuth">
                  <rb:false><a class="botMenu" href="/login.rhtm">login</a> | <a href="/custom/selfreg.rhtm?rbcmd-register=yes">register</a></rb:false>
                  <rb:true>
                    <a class="botMenu" href="/index.rhtm?logoutbutton=yes">logout</a>
                  </rb:true>
                </rb:test>
              </div>
            </td>
            <td valign="middle">
              <img src="/images/spacer.gif" width="20" height="1"/>
              <rb:test expr="extauth.sessionAuth">
              <rb:true>
                <rb:test expr="enablePageEdit==true">
                  <rb:true>
                    &nbsp;<a rb:eval="href#'/web/document.rhtm?rbcmd-create=yes&amp;title='+rb.page.env.Path()"><img align="middle" src="/images/edit.gif" alt="click to edit page" border="0"></a>
                  </rb:true>
                  <rb:false>
                    <!-- If the 'enableSpecialEdit' string is set then write out this string here. -->
                    <rb:test expr="enableSpecialEdit!=null">
                      <rb:true>
                        <rb:eval expr="enableSpecialEdit"/>
                      </rb:true>
                    </rb:test>
                  </rb:false>
                </rb:test>
                <rb:test expr="extauth.isIn('super,webadmin')">
                  <rb:true>
                     &nbsp;<a rb:eval="href#rb.page.env.Path()+'?draft='+(preview?'no':'yes')"><img rb:eval="src#preview?'/images/but_preview.gif':'/images/but_active.gif'" align="middle" border="no" alt="toggle between active and draft versions of this page" align="middle"/></a>&nbsp;<a rb:eval="href#'/menu/menu.rhtm?menuid='+SysData.menu.SysMenuDraft+'&livemenuid='+SysData.menu.SysMenu"><img align="middle" src="/images/editmenu.gif" alt="click to edit menu" border="0"></a>
                  </rb:true>
                </rb:test>
                &nbsp;<a href="/user/homepage.rhtm" class="botMenu"><img src="/images/home.gif" vspace="5" alt="Click here to go to your homepage" border="no" align="top"/></a>            
              </rb:true>
              </rb:test>
            </td>
            <td align="right"><small>&copy; YellowHawk 2002</small><img src="/images/spacer.gif" width="10" height="1"></td>
          </tr>
        </table>
      </td>
      <td bgcolor="#000000" style="width:1; overflow:hidden" width="1"><img src="/images/spacer.gif" width="1" height="1"></td>
    </tr>
    <tr>
      <td colspan="3" width="750" height="30" bgcolor="#2E068A">
        <div style="color:white">
          <img src="/images/spacer.gif" width="25" height="1">
          <rb:test expr="extauth.sessionAuth">
            <rb:true>Logged in as <rb:eval expr="extauth.sessionUser"/></rb:true>
            <rb:false>Not logged in</rb:false>
          </rb:test>
        </div>
      </td>
    </tr>
  </table>
</rb:block>

