  <!-- General purpose document viewer - used for:
  --    New Articles,
  --    WG docs
  --    Anything else we want!
  -- Configured by defining Doc.res.flags.???? before calling. ???? can be:
  --    keyword     - want keyword field
  ---   summary     - want summary field
  --    status      - want status field
  --    category    - want to select category
  -- Must be included within a formset.
  -->
<rb:script>
    // If there is a user ID in the parameter list then get that users record.
    function docForm(memb) {
       rb$data = thisArticle;
       var tag = rb.xml.root.findId("docForm");

       tag[0].execute();
       rb.page.write(tag[0].bodytext());
    }
</rb:script>
<rb:block rb:id="docForm">
  <rb:test expr="thisArticle.checkAccess('super').read">
  <rb:true>
    <!-- ************************ Form declaration for the News Item ***************************-->

    <rb:script>
      if (thisArticle.checkAccess('super').write)
        enableSpecialEdit = '<a href="'+Doc.createUrl(Config.docinfo[thisArticle.getDocType()].editor,thisArticle)+'"><img src="/images/edit.gif" border="0" align="middle" alt="Click to edit this News Article"></a>&nbsp;';
    </rb:script>

	  <table class="TableBdr" cellpadding="2" cellspacing="0" border="0" width="100%">
    <colgroup>
      <col width="125">
      <col width="125">
      <col width="100">
      <col>
    </colgroup>
    <tr><td colspan="4" background="/custom/images/hspace.gif" height="3"></td></tr>
    <rb:test expr="Doc.res.flags.author">
    <rb:true>
      <rb:script>
        // Want to know the name of the original author.
        var auth = rb.contact.individualInfo(thisArticle.authorID);
      </rb:script>
      <rb:test expr="auth!=null">
      <rb:true>
        <tr>
          <td valign="middle" class="HeadCell">Author</td>
          <td valign="middle" class="HeadCell" colspan="2">
            <rb:eval expr="auth.name+'('+auth.uName+')';"/>
          </td>
          <td valign="middle" class="HeadCell">
             Status: &nbsp;<rb:eval expr="thisArticle.state"/>
          </td>
        </tr>
        <tr valign="bottom" >
          <td valign="middle" class="HeadCell">Creation Date</td>
          <td valign="middle" class="HeadCell"><rb:eval expr="Util.fmtShortDateTime(thisArticle.created)"/></td>
          <td valign="middle" class="HeadCell">Last Updated</td>
          <td valign="middle" class="HeadCell"><rb:eval expr="Util.fmtShortDateTime(thisArticle.lastEdit)"/></td>
        </tr>
      </rb:true>
      </rb:test>
    </rb:true>
    </rb:test>
    <tr valign="bottom" >
      <td valign="middle" class="HeadCell" width="125">Release Date</td>
      <td valign="middle" class="HeadCell"><rb:eval expr="Util.fmtShortDate(thisArticle.pubDate)"/></td><td class="HeadCell">&nbsp;</td><td class="HeadCell">&nbsp;</td>
    </tr>
    <tr><td colspan="4" background="/custom/images/hspace.gif" height="3"><img src="/images/spacer.gif" width="1" height="1"/></td></tr>
    <tr>
      <td valign="middle" class="HeadCell">Title</td>
      <td class="HeadCell" colspan="3"><rb:eval expr="thisArticle.title"/></td>
    </tr>
    <rb:test expr="Doc.res.flags.keywords">
    <rb:true>
      <tr>
        <td valign="middle" class="HeadCell">Keywords</td>
        <td class="HeadCell" colspan="3"><rb:eval expr="thisArticle.keywords"/></td>
      </tr>
    </rb:true>
    </rb:test>
    <rb:test expr="Doc.res.flags.summary">
    <rb:true>
    <tr valign="bottom" >
      <td valign="top" class="HeadCell" colspan="4"><span class="DocSummary"><rb:eval expr="thisArticle.summary"/></span></td>
    </tr>
    </rb:true>
    </rb:test>
    <tr><td colspan="4" background="/custom/images/hspace.gif" height="3"><img src="/images/spacer.gif" width="1" height="1"/></td></tr>
    <rb:test expr="Doc.res.flags.content">
    <rb:true>
      <!-- Either show the content inline - or reference it indirectly (for non-HTML forms) -->
      <rb:test expr="rb$data.mime=='text/plain' ||  rb$data.mime=='text/html'">
      <rb:true>
        <rb:test expr="rb$data.content.data!=null && rb$data.content.data.length>0">
          <rb:true>
            <tr valign="bottom" border="2">
              <td valign="middle" class="DocContent" colspan="4">
                  <rb:eval expr="rb$data.content.data"/>
              </td>
            </tr>
            <tr><td colspan="4" background="/custom/images/hspace.gif" height="6"><img src="/images/spacer.gif" width="1" height="1"/></td></tr>
          </rb:true>
        </rb:test>
      </rb:true>
      <rb:false>
        <tr valign="bottom"  border="2">
          <td valign="middle" align="center" class="HeadCell" colspan="4">
            <a rb:eval="href#'/doc/displayraw.rhtm/'+escape(thisArticle.content.loc.split('/').pop())+'?docID='+thisArticle.ID">
               <i>Click here to see this document</i>
            </a>
          </td>
        </tr>
      </rb:false>
      </rb:test>
    </rb:true>
    </rb:test>
    <!-- Should we show any buttons here? -->
    <tr>
      <td valign="middle" class="HeadCell" align="right" colspan="4">
        <rb:script>
          if (Doc.res.writeActions==null)
            Doc.res.writeActions = {}

          if (Doc.res.readActions==null)
            Doc.res.readActions = {}
        </rb:script>

        <rb:repeatfor expr="var but in Doc.res.readActions">
          <input type="submit" 
                 rb:eval1="name#'rbcmd-'+Doc.res.readActions[i].name" 
                 rb:eval2="value#Doc.res.readActions[i].name" 
                 rb:eval3="Doc.res.readActions[i].add1!=null?Doc.res.readActions[i].add1">&nbsp;
        </rb:repeatfor>
        <form action="/doc/docview.rhtm" method="get"><rbm:returnButton value="&lt;&lt; Cancel"/></form>
      </td>
    </tr>
	  </table>
  </rb:true>
  <rb:false> 
    <h1 class="Error">Access Denied</h1>
  </rb:false>
  </rb:test>
</rb:block>

