<rb:test expr="Util.browser().Microsoft">
<rb:true>
  <!-- Send this to the browser exactly *once* if the browser is Internet Explorer. -->
  <script>
     // Create a client-side object to hold data on each rich-edit control.
     var richEditors = {};
     var oldHandlers = {};

     function hover(id,name,over) {
       document[id].src='/images/e_'+name+(over?'H':'0')+'.gif';
     }

     // Need to work on this one.
     function copyValue() {
       // Find the form description.
       if (oldHandlers[this.name]!=null) {
          if (!oldHandlers[this.name].apply(this)) {
            return false;
          }
       }
          
       var myName = this.name;
       if (myName==null || myName=='' || myName=='[object]')
         myName = this.id;
       if (myName==null || myName=='')
         alert("CAN'T get form name for comparison!");
  
       // alert(this.name+", "+this.id);
       for (var cntl in richEditors) {
          // alert("Comparing myName='"+myName+"' with richEditors[cntl].formName='"+richEditors[cntl].formName+"'");
          if (richEditors[cntl].formName == myName) {
            var edt = richEditors[cntl];
            // OK - use this one and copy the data out.
            if (edt.wysiwyg) {
              // In HTML mode - copy the data back out again.
              var frm = frames[edt.controlName+'_frame'];
              edt.textedit.value = frm.document.body.innerHTML;
            }
          }
       }
       return true;
     }
     function displayError(ctrl) {
       alert("Not in rich text mode!");
       ctrl.focus()
     }
     function doFormat(ctrlName,op,param) {
       // Get a text range for the selection
       var tr = frames[ctrlName+'_frame'].document.selection.createRange()

       if (param==null) {
          tr.execCommand(op)
          tr.select()
       }
       else
          tr.execCommand(op, param)

       // Reselect and give the focus back to the editor
       frames[ctrlName+'_frame'].focus()
     }
     function format(ctrlName,what,opt) {
        var thisEdit = richEditors[ctrlName];
        if (!thisEdit.wysiwyg) {
           displayError();
           return
        }
        if (opt=="removeFormat"){
           what=opt;opt=null
        }
        if (thisEdit.wysiwyg) {
           var tr = frames[ctrlName+'_frame'].document.selection.createRange()
           if (opt==null)
              tr.execCommand(what);
           else
              tr.execCommand(what,"",opt);
           // var s=idEdit.document.selection.createRange(),
           // p=s.parentElement()  
           frames[ctrlName+'_frame'].focus()
        } 
        sel=null
     }
     // Turn selection into a glossary link. Can't validate because this requires the server to do some work. Simply 
     // surround the currently selected data with a glossary term.
     function doGlossary(ctrlName) {
        var thisEdit = richEditors[ctrlName];
        var what;
        var opt;

        if (!thisEdit.wysiwyg) {
           displayError();
           return;
        }
        if (thisEdit.wysiwyg) {
           var tr = frames[ctrlName+'_frame'].document.selection.createRange()
           
           // At the moment simply surroung the range with a bold tag to prove we can do it!
           var term = tr.htmlText;

           // strip leading/trailing space.
           // term = term.

           if (term.length>0) {
            // OK - create an enchor with which to surround this element.
            //var tag = frames[ctrlName+'_frame'].document.createElement('a');
            //if (tag) {
              // tag.setAttribute('href', '/glossary/quickview.rhtm?term='+term);
              // tr.surroundContents(tag);
            //}
            tr.pasteHTML('<a href="/glossary/quickview.rhtm" term="'+term+'">'+term+'</a>');
           }
           frames[ctrlName+'_frame'].focus()
        } 
        sel=null
     }
     function setMode(ctrlName, mode) {
       var thisEdit = richEditors[ctrlName];

       if (thisEdit) {
        if (mode!=thisEdit.wysiwyg) {
           var frm  = frames[ctrlName+'_frame'];

           var fmt = document.getElementsByName(ctrlName+'_frame')[0];
           var raw = document.getElementsByName(ctrlName)[0];

           if (mode) {
             // Going to HTML mode. Make IFRAME visible and copy the data from the text-area,
             fmt.style.display = "block";
             raw.style.display = "none";

             var rawContent = thisEdit.textedit.value
             if (rawContent==null || rawContent=="") 
                rawContent = "<p></p>";

             frm.document.open()
             frm.document.write(thisEdit.sHeader);
             frm.document.close()
             frm.document.body.innerHTML=rawContent;
             frm.focus()
           }
           else {
              // Going to TEXT mode
             raw.style.display = "block";
             fmt.style.display = "none";
 
             thisEdit.textedit.value = frm.document.body.innerHTML;
             raw.focus()
           }
           thisEdit.wysiwyg=mode;

           var cntlSet = this[ctrlName+"_ctl1"]
           for (var i=0;i<cntlSet.children.length;i++)
              cntlSet.children[i].disabled=!thisEdit.wysiwyg;

           var cntlSet = this[ctrlName+"_ctl2"]
           for (var i=0;i<cntlSet.children.length;i++)
              cntlSet.children[i].disabled=!thisEdit.wysiwyg;
         }
       }
     }

     function enableEdit(formName, controlName, data) {
       var frm = frames[controlName+"_frame"];

       if (frm!=null) {
         // Create a client-side object to represent this control.
         richEditors[controlName] = data;

         // Add in my own control structures.
         data.wysiwyg = true;

         // Work out the header string for wysiwyg mode.
         data.sHeader     = (data.stylesheet==null)?'':'<link rel="stylesheet" type="text/css" href="'+data.stylesheet+'"/>';
         data.sHeader    += '<body style="background-color: #FFFFFF">';
         data.formName    = formName;
         data.controlName = controlName;
         data.form        = document[formName];
         data.textedit    = document[formName][controlName];

         // Attach the 'copyValue' method to the onSubmit button.
         var oldHandler = data.form.onsubmit;
         
         data.form.onsubmit = copyValue;

         if (oldHandler != copyValue)
            oldHandlers[formName] = oldHandler;

         frm.document.designMode = "On";
         
         var content = data.textedit.value;

         if (content==null || content=="") 
            content = "<p></p>";
   
         frm.document.open();
         frm.document.write(richEditors[controlName].sHeader);
         frm.document.close();
         frm.document.body.innerHTML=content;
       }
     }

  </script>
</rb:true>
</rb:test>

<rb:script>
   var buttons={bold:{cmd:'bold', 'alt':'Make Bold'},
                'italic':{cmd:'italic',alt:'Make Italic'},
                'underline':{cmd:'underline',alt:'Underline text'},
                'xx1':{cmd:'sep'}, 
                left:{cmd:'justifyleft', alt:"Left Justify"}, 
                centre:{cmd:'justifycenter', alt:'Centre Text'}, 
                right:{cmd:'justifyright', alt:'Right Justify'},
                'xx2':{cmd:'sep'},
                ol:{cmd:'insertorderedlist', alt:'Numbered List'}, 
                ul:{cmd:'insertunorderedlist', alt:'Bullet List'},
                unindent:{cmd:'outdent', alt:'Decrease Indentation'}, 
                indent:{cmd:'indent',alt:'Increase Indentation'},
                'xx3':{cmd:'sep'},
                img:{cmd:'InsertImage',alt:'Insert an image file', opt:true},
                link:{cmd:'createLink',alt:'Insert a HTML link'}
               };
</rb:script>
<rb:block rb:id="controlBlock">
  <!-- This block expects the following a variables (parameters) to be set before executing this block:
          name           : Name of the edit control we're simulating.
          cellclass      : Style sheed name for cells in the edit table.
          border, cellpadding, cellspacing : Used to configure the surrounding table.
    -->
  <table rb:eval1="border#attr.border" rb:eval2="cellspacing#attr.cellspacing" rb:eval3="cellpadding#attr.cellpadding">
    <tr>
      <rb:test expr="attr.allowplain=='yes'">
        <rb:true>
           <td rb:eval2="attr.cellclass==null?'':'class='+attr.cellclass" colspan="2" align="center"><rb:eval expr="attr.title"/></td>
           <td rb:eval2="attr.cellclass==null?'':'class='+attr.cellclass" align="center">
              <input type="checkbox" rb:eval="onClick#'setMode(\''+attr.name+'\',this.checked)'" checked name="rMode"/> Rich Text Mode
           </td>
        </rb:true>
        <rb:false>
           <td rb:eval2="attr.cellclass==null?'':'class='+attr.cellclass" colspan="3" align="center"><rb:eval expr="attr.title==null?'Content':attr.title"/></td>
        </rb:false>
      </rb:test>
    </tr>
    <tr>
      <td rb:eval1="id#controlName+'_ctl1'" valign="bottom" rb:eval2="attr.cellclass==null?'':'class='+attr.cellclass" colspan="2" align="center">
       <select rb:eval2="attr.toolclass==null?'':'class='+attr.toolclass" name="para" rb:eval="onchange#'format(\''+controlName+'\',\'formatBlock\',this[this.selectedIndex].value);this.selectedIndex=0'">
         <option class="text" selected>Paragraph
         <option value="<p>"><i>Normal</i></h1>
         <option value="<h1>">Heading 1</h1>
         <option value="<h2>">Heading 2</h1>
         <option value="<h3>">Heading 3</h1>
         <option value="<h4>">Heading 4</h1>
         <option value="<pre>">Preformatted</h1>
         <option value="removeFormat">Clear Formatting</option>
       </select>

       <select rb:eval2="attr.toolclass==null?'':'class='+attr.toolclass" name="font">
         <option class=heading selected>Font</option>
         <option value="geneva,arial,sans-serif">Arial</option>
         <option value="verdana,geneva,arial,sans-serif">Verdana</option>
         <option value="times,serif">Times</option>
         <option value="courier, monospace">Courier</option> 
       </select>

       <select rb:eval2="attr.toolclass==null?'':'class='+attr.toolclass" rb:eval="onchange#'format(\''+controlName+'\',\'forecolor\',this[this.selectedIndex].style.color);this.selectedIndex=0'"> 
          <option class=heading selected>Color
          <option style="color: black">Black
          <option style="color: gray">Gray
          <option style="color: darkred">Dark Red
          <option style="color: navy">Navy
          <option style="color: darkgreen">Dark Green
          <option>Custom...</option>
       </select> 

       <select rb:eval2="attr.toolclass==null?'':'class='+attr.toolclass" rb:eval="onchange#'format(\''+controlName+'\',\'fontSize\',this[this.selectedIndex].text);this.selectedIndex=0'"> 
          <option selected>Size
          <option>1<option>2<option>3<option>4<option>5<option>6<option>7</option>
       </select> 
       <br><img src="/images/spacer.gif" width="1" height="2"/><br>
    </td>
    <td  rb:eval1="id#controlName+'_ctl2'"  rb:eval2="attr.cellclass==null?'':'class='+attr.cellclass" valign="top" align="center">
         <rb:repeatfor expr="var but in buttons">
           <rb:test expr="buttons[but].cmd!='sep'">
             <rb:true>
               <img align="bottom" rb:eval="src#'/images/e_'+but+'0.gif'" rb:eval1="name#but+'_button'" height="22" width="22"
                     rb:eval3="onMouseOver#'hover(\''+but+'_button\',\''+but+'\',true)'"
                     rb:eval4="onMouseOut#'hover(\''+but+'_button\',\''+but+'\',false)'"
                     rb:eval5="onClick#'doFormat(\''+controlName+'\',\''+buttons[but].cmd+'\''+(buttons[but].opt==null?'':','+buttons[but].opt)+')'"
                     rb:eval6="alt#buttons[but].alt"/>
                     
             </rb:true>
             <rb:false>
               <img src="/images/e_sep.gif"/>
             </rb:false>
           </rb:test>
         </rb:repeatfor>
         <rb:test expr="attr.useglossary=='yes'">
         <rb:true>
           <img src="/images/e_glos0.gif" rb:eval="onClick#'doGlossary(\''+controlName+'\')'"
                   name="glossary"
                   onMouseOver="hover('glossary','glos',true)"
                   onMouseOut="hover('glossary','glos',false)"
                   alt="Create a glossary reference"
           />
         </rb:true>
         </rb:test>
    </td>
    </tr>
    <tr>
    <td class="HeadCell" colspan="3">
      <textarea rb:eval1="id#controlName" rb:eval2="name#controlName"  rb:eval3="attr.textstyle==null?'':'class=&quot;'+attr.textstyle+'&quot;'" 
                rb:eval4="style#'display:none; width:'+attr.pixwidth+'; height:'+attr.pixheight+((attr.textstyle==null)?'; color: #0; font:6pt ariel, courier, monospace':'')"><rb:eval expr="content"/></textarea>
      <iframe rb:eval="width#attr.pixwidth" rb:eval1="height#attr.pixheight" rb:eval2="id#controlName+'_frame'"></iframe>
      <rb:script>
        rb.page.fwrite('<script language="JavaScript1.2">\nenableEdit("%s", "%s", {stylesheet:"%s"});\n</script>\n',formname,attr.controlName,attr.stylesheet);
      </rb:script>
    </td>
  </tr>
  </table>
</rb:block>

<rb:block rb:id="controlBlockBasic">
  <!-- This block expects the following a variables (parameters) to be set before executing this block:
          name           : Name of the edit control we're simulating.
          cellclass      : Style sheed name for cells in the edit table.
          border, cellpadding, cellspacing : Used to configure the surrounding table.
    -->
  <table rb:eval1="border#attr.border" rb:eval2="cellspacing#attr.cellspacing" rb:eval3="cellpadding#attr.cellpadding">
    <tr>
      <rb:test expr="true">
        <rb:true>
           <td rb:eval2="attr.cellclass==null?'':'class='+attr.cellclass" align="center"><rb:eval expr="attr.title"/></td>
        </rb:true>
        <rb:false>
           <td rb:eval2="attr.cellclass==null?'':'class='+attr.cellclass" align="center"><rb:eval expr="attr.title==null?'Content':attr.title"/></td>
        </rb:false>
      </rb:test>
    </tr>
    <tr>
    <td class="HeadCell">
      <textarea rb:eval="id#controlName" rb:eval1="name#controlName" rb:eval2="style#'width:'+attr.pixwidth+'; height:'+attr.pixheight;" rb:eval3="attr.textstyle==null?'':'class=&quot;'+attr.textstyle+'&quot;'" ><rb:eval expr="content"/></textarea>
    </td>
  </tr>
  </table>
</rb:block>

<rb:script>
  // Utility function to create a text area from the tag parameters provided.
  var privAttribs = {title:'Content', 
                     pixwidth:620, 
                     pixheight:300, 
                     stylesheet:null, 
                     cellspacing:0, 
                     cellpadding:0, 
                     border:0, 
                     cellclass:null, 
                     toolclass:null, 
                     controlName:'content', 
                     formname:null, 
                     allowplain:'yes',
                     useglossary:'no'
                    };
</rb:script>

<rb:macrotag name="rbm:richtext">
  // Supported/processed attributes are:
  // title         : Displayed in title area.
  // name          : The form name for this field.
  // pixwidth      : Width of the RTF iframe
  // pixheight     : Height of the RTF iframe
  // cellclass     : Used to format table cells.
  // stylesheet    : The name of the style sheet to use (if any)
  // textstyle     : Name of style to use for the 'textarea' alternative view.
  // cellpadding, cellspacing, border
  //               : Used to format the containing table for the element.
  // allowplain    : 'yes' allows toggle between plain and HTML mode.
  //
  // Any attributes not in the above list are echoed out to the underlying textarea tag.

  // Patch up the edit control attributes.
  // Get the tag for this element.
  var tag    = rb.xml.thisTag();
  var attribs = tag.attributes;


  for (var att in privAttribs) {
    if (attribs[att]==null)
       attribs[att] = privAttribs[att];
  }

  if (attribs.name == null)
   attribs.name = 'content';

  attribs.controlName = attribs.name;
  
  if (tag.attributes.name==null || !Util.browser().Microsoft) {
    // NOT Internet Explorer - output a very simple textarea field.
    var editTag  = rb.xml.root.findId("controlBlockBasic")[0];
    var editData = {attr:tag.attributes, content:tag.execute().bodytext(), controlName:attribs.name};
    rb.page.write(editTag.execute(editData).bodytext());
  }
  else {
    // The fun begins! This is Internet Explorer. Output a textarea - but this time it's invisible. It will hold the data.
    var editTag         = rb.xml.root.findId("controlBlock")[0];
    var editData        = {attr:tag.attributes, content:tag.execute().bodytext(), controlName:attribs.name};

    // Need to work out the form name.
    if (attribs.formname!=null)
        editData.formname = attribs.formname;
    else {
        var formTag = tag.select("ancestor::form")[0];
        if (formTag!=null) {
          // dumpObj(formTag, "formTag");
          editData.formname = formTag.attributes.name;

          // NEED to make sure we have an 'id' element for this form - name doesn't always seem to work.
          formTag.attributes.id = editData.formname;
        }
    }
    rb.page.write(editTag.execute(editData).bodytext());
  }
</rb:macrotag>


