<rb:eval expr="void (Selection.Start())"/>
<form name="chooseform" method="get" >

<rbm:setReturnUrl/>

<rb:script>
 //
 // Get the configuration for this member uName
 //
 var orgOU_ID = SysData.OU.users;
 var tmp;
 if (rb$params.partner!=null && (tmp=parseInt(rb$params.partner))!=NaN)
   orgOU_ID = tmp;

	 var membersDetails = new Object;
	 membersDetails=rb$params;

	 var aMember= new Member(membersDetails);
	 var rb$data = new Object();
	 rb$data.oldStart=0; //initialise to default
	 var isMore;
	 var isLess; //booleans to indicate if there are more entries
	 var iEmp; //number of users displayed
	 var found = new Array(); //holds found users
	 var numToDisp = Config.usersPerPage; //Number of users to display on a search

 // changeSelection
 // Function that uses the userID and userIDList to make changes to the selection data.
 function changeSelectionDoOne(userList,all,sel) {
   var selectList=[];

   // Find the right user list and the right parameter set.
   var paramList = rb$params[sel];
   var targSet   = Selection.data.users[sel];

   // Deal with this selected list.
   if (paramList) {
     if (typeof paramList=='object') {
       for (var j=0;j<paramList.length;j++)
         selectList[paramList[j]] = true;
     }
     else
       selectList[paramList]=true;
   }
   for (var i in userList) {
     var id = parseInt(userList[i]);
     if (id!=NaN) {
       // If this is in the selected list then select it - if it is not then unselect it.
       Selection.set(id, (selectList[id]!=null || all), sel);
     }
   }
 }

 function changeSelection(all) {
 var userList = [];

   // Get the list of ALL IDs.
   if (rb$params.userIDList) {
     if (typeof rb$params.userIDList=='object')
       userList = rb$params.userIDList;
     else
       userList = [rb$params.userIDList]
   }
   for (var i=0;i<Selection.data.switches.length;i++)
     changeSelectionDoOne(userList, all, Selection.data.switches[i].id);

 }
 //
 // Function to display the user form sections
 //
  function memberForm(display, section) {
	  var tags=rb.xml.root.findId(section);
	  if (tags.length==1) {
		  tags=tags[0];
		  var oldStatic   = rb$doStaticForm;
		  rb$doStaticForm = display;

		  tags.execute();  // Make the memb object available
								  // to the form.

		  // Restore the static flag.
		  rb$doStaticForm = oldStatic;

		  // Clear the static 
		  rb.page.write(tags.bodytext());
	  }
  }
	 
 //
 // Function to display the search, prev and next results
 //	
   function prepareData(type) {
     if (type == "search")    
       rb$data.start = 0;
     else if (type == "prev") 
       rb$data.start = rb$params.oldStart - numToDisp;
     else if (type == "next") 
       rb$data.start = rb$params.start;
     else 
       rb$data.start = rb$params.oldStart;

     // Build the search string.
     rb$data.start = parseInt(rb$data.start);

     var search = {ID:SysData.RootCats.Profiles, idMkr:'N', keyword:[], sortByCode:true, firstIndex:rb$data.start};
     if (rb$params.search && rb$params.search!='') {
       rb$data .search = rb$params.search;
       search.keyword.push('%'+rb$params.search+'%');
       search.searchInKeywords    = true;
       search.searchInDescription    = true;
     }
     if (rb$params.partner && rb$params.partner!='') {
       rb$data.partner = rb$params.partner;
       search.keyword.push('%'+Profile.generateOrg(rb$params.partner)+'%');
       search.searchInKeywords    = true;
       search.searchInDescription    = true;
     }
     if (rb$params.skills && rb$params.skills!='') {
       rb$data.skills = rb$params.skills;
       search.keyword.push('%'+rb$params.skills+'%');
       search.searchInDescription    = true;
     }
     dumpObj(search,"SEARCH");
     var Iter = rb.catalogue.item.get(search);
   
     iEmp = 0; //number actually displayed
   
     while( iEmp<numToDisp && Iter.getNextRow()) {
       var member = Iter.itemData.member;

       found.push({name:((member.first_name!=null?member.first_name+' ':'')+(member.initial!=null?member.initial+' ':'')+(member.surname!=null?member.surname+' ':'')), uName:member.uName, ID:member.ID});
       iEmp++;
     }

     isMore = false;
     while( Iter.getNextRow() ) {
       isMore = true;
       break;
     }
     isLess = (rb$data.start>0);
     rb$data.oldStart = rb$data.start;
     rb$data.start = rb$data.start + iEmp;
     if (found.length ==0) 
       rb$message="No users found";
   }

   /**********************
   get_org_list
   Return list of existing customers.
   **********************/
   function get_org_list() {
      var sdata = {rootID:SysData.OU.orgs, allLevels:false, searchIndividual:false, searchOU:true, sort:'name'};
      var it  = rb.contact.get([], sdata);
      var res = new Array;

      while (it.getNextRow()) {
         res.push({ID:it.ID, uName:it.uName, name:it.name, description:it.description, phone:it.phone, fax:it.fax, customData:it.customData});
      }

      return res;
   }
   // Write the option list for the search qualifier option box. Select the current partner if specified.
   function writeOrgList() {
   var orgs = get_org_list();

     for (var i=0;i<orgs.length;i++) {
       // Is this the currently selected one?
       if (orgs[i].ID==orgOU_ID)
         rb.page.write('<option value="'+orgs[i].ID+'" selected>'+orgs[i].name+'</option>\n');
       else
         rb.page.write('<option value="'+orgs[i].ID+'">'+orgs[i].name+'</option>\n');
     }
   }    

   function write_skill_list() {
     var skill_list = Profile.loadSkillSet();
     if (skill_list) {
       for (var i=0;i<skill_list.order.length;i++) {
         if (skill_list.order[i].code==rb$data.skills)
           rb.page.write('<option value="'+skill_list.order[i].code+'" selected>'+skill_list.order[i].name+'</option>\n');
         else
           rb.page.write('<option value="'+skill_list.order[i].code+'">'+skill_list.order[i].name+'</option>\n');
       }
     }
   }

  var sess = rb.page.session.read(); dumpObj(sess, "session");
</rb:script>

<!--
  Define the search form
-->
<rb:block rb:id="searchForm">
 <rbm:pageinfo start="rb$data.start" oldStart="rb$data.oldStart"/>
   
 <table class="TableBdr" width="590" border="0" cellspacing="2" cellpadding="2">
   <tr> 
     <td width="180" align="center"><img src="/images/spacer.gif" width="180" height="1"/></td>
     <td width="120" align="center"><img src="/images/spacer.gif" width="120" height="1"/></td>
     <td width="120" align="center"><img src="/images/spacer.gif" width="120" height="1"/></td>
     <td width="80" align="center"><img src="/images/spacer.gif" width="80" height="1"/></td>
   </tr>
   <tr><td colspan="4">
     <p><b>Select Members:</b>
   </td></tr>
   <tr> 
     <td class="HeadCell" width="180" align="center">Text</td>
     <td class="HeadCell" width="120" align="center">Organisation</td>
     <td class="HeadCell" width="120" align="center">Skills</td>
     <td class="HeadCell" width="80" align="center">
       <rb:test expr="Selection.url()!=''">
          <rb:true><input type="submit" name="rbcmd-return" value="Finished"></rb:true>
       </rb:test>
     </td>
   </tr>
   <tr class="BodyCell"> 
     <td> 
       <input type="text" name="search" rb:eval="value#rb$data.search" size="25" maxlength="30">
     </td>
     <td> 
       <select name="partner">
         <option value="">All Users</option>
         <rb:eval expr="writeOrgList()"/>
       </select>
     </td>
     <td> 
       <select name="skills">
         <option value="">---- don't care----</option>
         <rb:eval expr="write_skill_list()"/>
       </select>
     </td>
     <td align="center"> 
       <!--a href="javascript:this.form.submit()">go</a-->
       <input type="submit" name="rbcmd-search" value="Find">
     </td>
   </tr>
 </table>

</rb:block>

<!--
  Define the results form
-->
<rb:block rb:id="resultsForm">
<rb:test expr="found.length>0">
<rb:true>
 <table width="590" border="0" cellspacing="2" cellpadding=" 2" class="Default">
   <rb:pageinfo oldStart="rb$params.start"/>
   <tr>
     <td width="200">Users matching search:</td>
     <td width="60">
     <rb:test expr="isLess">
	  <rb:true>
		  <input type="submit" name="rbcmd-prev" value="Prev">
	  </rb:true>
	  <rb:false>
		  &nbsp;
	  </rb:false>
	 </rb:test>
     </td>
     <td width="60">
     <rb:test expr="isMore">
	  <rb:true>
		  <input type="submit" name="rbcmd-next" value="Next">
	  </rb:true>
	  <rb:false>
		  &nbsp;
	  </rb:false>
	 </rb:test>
     </td>
     <td>Showing match <rb:eval expr="rb$data.start-iEmp+1" /> to  <rb:eval expr="rb$data.start" /></td>
   </tr>
 </table>
 <table width="590" border="1" cellspacing="2" cellpadding=" 2" class="TableBdr">
   <tr> 
     <rb:repeatfor expr="var k=0;k<Selection.data.switches.length;k++">
       <td width="25" class="HeadCell"><rb:eval expr="Selection.data.switches[k].name"/></td>
     </rb:repeatfor>

     <td width="*" class="HeadCell">UserID</td>
     <td width="*" class="HeadCell">Name</td>
     <rb:test expr="Selection.data.flags.actions">
       <rb:true><td width="*" class="HeadCell" align="center">Actions</td></rb:true>
     </rb:test>
   </tr>
   <rb:eval expr="void Selection.clearCache()"/>
	 <rb:repeatfor expr="var i in found">
     <tr> 
       <rb:script>
         // rb.debug.write('found[i].ID = '+found[i].ID+'<br>');
         Selection.addCache(found[i]);
         rb.page.write('<input type="hidden"   name="userIDList" value="'+found[i].ID+'">');
         for (var k=0;k<Selection.data.switches.length;k++) {
           var name = Selection.data.switches[k].id;
           rb.page.write('<td class="BodyCell" width="25"><input type="checkbox" name="'+name+'" value="'+found[i].ID+'" '+(Selection.isSelected(found[i].ID,name)?'checked':'')+'></td>');
         }
       </rb:script>
       <!--input type="checkbox" name="userID" rb:eval="value#found[i].ID"-->
       <td class="BodyCell">
         <rb:eval expr="found[i].uName"/>
       </td>
       <td class="BodyCell">
         <rb:eval expr="found[i].name"/>
       </td>
       <rb:test expr="Selection.data.flags.actions">
        <rb:true>
         <td class="BodyCell" align="center">
           <a rb:eval="href#'/user/email.rhtm?toStr='+found[i].uName">email</a>&nbsp;
           <a rb:eval="href#'/user/profile.rhtm?memberid='+found[i].ID">profile</a>
<rbm:extauth community="super,useradmin" authfail="ignore">
           &nbsp;<a rb:eval="href#'/admin/edituser.rhtm?rbcmd-edit=yes&amp;memberid='+found[i].ID">details</a>
</rbm:extauth>
         </td>
        </rb:true>
       </rb:test>
     </tr>
	 </rb:repeatfor>
   <rb:block>
     <rb:test expr="Selection.cacheSize()>0 && Selection.data.switches.length>0">
     <rb:true>
       <tr><td colspan="4"><hr></td></tr>
       <tr>
         <rb:script>
           // rb.debug.write('found[i].ID = '+found[i].ID+'<br>');
           Selection.addCache(found[i]);
           rb.page.write('<input type="hidden"   name="userIDList" value="'+found[i].ID+'">');
           for (var k=0;k<Selection.data.switches.length;k++) {
             var name = Selection.data.switches[k].id;
             rb.page.write('<td class="BodyCell" width="25"><input type="checkbox" name="'+name+'" value="0"></td>');
           }
         </rb:script>
         <td align="center" class="BodyCell">Select All</td>
         <td class="BodyCell">&nbsp;</td>
       </tr>
     </rb:true>
     </rb:test>
    </rb:block>
   
 </table>
 </rb:true>
 </rb:test>

</rb:block>

<rbm:formset>

  <rbm:command name="default">
   <rb:eval expr="void Selection.clearCache()"/>
	  <rb:script>
	  if (rb$params.search == null || rb$params.search == '')
		  rb$data.search = "";
	  else rb$data.search = rb$params.search;
	  if (rb$params.start == null || rb$params.start == '')
		  rb$data.start = 0;
	  else rb$data.start = rb$params.start;
	  </rb:script>

	  <rb:eval expr="memberForm(false, 'searchForm')" />
  </rbm:command>

  <rbm:command name="start">
    <rb:script>
      Selection.reset();
      Selection.clearCache();

      var flags = [];
      dumpObj(rb$params, "rb$params");
      if (rb$params.flag) {
        if (typeof rb$flag == 'object')
          flags = rb$params.flag;
        else
          flags = [rb$params.flag];
      }
      for (var i=0;i<flags.length;i++)
        Selection.data.flags[flags[i]]=true;

      Selection.save();
      var sess = rb.page.session.read(); dumpObj(sess, "session");
      rb$command="search";
    </rb:script>
  </rbm:command>

  <rbm:command name="search">
	  <rb:script>
   	  prepareData("search");
	  </rb:script>
	  <rb:eval expr="memberForm(false, 'searchForm')" />
	  <rb:eval expr="memberForm(false, 'resultsForm')" />
  </rbm:command>

  <rbm:command name="select">
   <rb:eval expr="void (changeSelection(false),rb$command='search')"/>
  </rbm:command>
  
 <rbm:command name="clear">
   <rb:eval expr="void (Selection.clear(),rb$command='search')"/>
  </rbm:command>
  
 <rbm:command name="all">
   <rb:eval expr="void (changeSelection(true),rb$command='search')"/>
  </rbm:command>

 <rbm:command name="return">
   <rb:script>
     changeSelection(false);
     var target = Selection.url();
     // Util.httpRedirect(target);
     rb.page.fwrite('<script>window.opener.location.replace("%s");self.close()</script>',Selection.url());
     Selection.seturl('');
   </rb:script>
  </rbm:command>
   
  <rbm:command name="prev">
	  <rb:eval expr="prepareData('prev')" />
	  <rb:eval expr="memberForm(false, 'searchForm')" />
	  <rb:eval expr="memberForm(false, 'resultsForm')" />
  </rbm:command>
  
  <rbm:command name="next">
	  <rb:eval expr="prepareData('next')" />
	  <rb:eval expr="memberForm(false, 'searchForm')" />
	  <rb:eval expr="memberForm(false, 'resultsForm')" />
  </rbm:command>

</rbm:formset>
 <table border="0" width="590" >
   <tr>
     <td align="left">&nbsp;</td>
     <td align="right">
       <rb:test expr="Selection.cacheSize()>0 && Selection.data.switches.length>0">
       <rb:true>
         <input type="submit" name="rbcmd-all"   value="Select All">&nbsp;
         <input type="submit" name="rbcmd-clear" value="Clear List">
       </rb:true>
       </rb:test>
     </td>
   </tr>
 </table>

</form>
