/*******************
config.js
********************
Set global configuration parameters used to configure the applications for a specific environment.
********************/
var Config = {
   sitename:'Contact Management',
   emailcontact:'mailto:petew@yellowhawk.co.uk',
   docsPerPage:15,
   usersPerPage:15,
   docinfo:{
            '/doc/newsletter':
              {viewer:'/web/docview.rhtm?rbcmd-view=yes',  
               editor:'/news/newsletter.rhtm?rbcmd-create=yes', cls:'Newsletter', xprl:false, adminuser:'super,newsadmin'},

            '/doc/webpage':
              {viewer:'$title',  
               editor:'/web/document.rhtm?rbcmd-create=yes&docID=$id', cls:'Web Page', xprl:false, adminuser:'super'},

            '/doc/news':
              {viewer:'/doc/docview.rhtm/$id',
               editor:'/news/editnews.rhtm?rbcmd-create=do&docID=$id', cls:'News', xprl:false, adminuser:'super,newsadmin'},
            
            '/doc/wg':  
              {viewer:'/wg/docview.rhtm?rbcmd-view=do&docID=$id',  
               editor:'/wg/document.rhtm?rbcmd-create=do&docID=$id', cls:'WG Doc', xprl:false, adminuser:'super'},
           '/doc':     
              {viewer:'/doc/docview.rhtm/$id',  
               editor:'/web/document.rhtm?rbcmd-create=do&docID=$id&genericdoc=yes', cls:'Doc', xprl:false, adminuser:'super,webadmin'}
           },
  feature:{userprofile:true, glossary:true, faq:true},
  size:{std:{width:600, height:300}, big:{width:670, height:300}},
  cat:{resultsPerPage:15},
  enableSSL:false
};


