// Setup list of valid columns.
//
// First a list of column names to use in the CSV file.
var colArr= [ "org", "username",
			  "title", "first_name", "initial", "surname",
			  "phone", "mobile", "email", "addr1", "addr2",
			  "addr3", "addr4", "post_code", "country", 
        "newsletter", "locations", "company size", "scheme", "benefits"
			 ]
//
// Then a list of what the membership object knows these fields as.
var memArr= [ "created", "organisation","uName",
			  "title", "first_name", "initial", "surname",
			  "phone", "phone2", "email", "addr1", "addr2",
			  "addr3", "addr4", "post_code", "country",
        "newsletter", "locations", "company_size", "scheme", "benefits"
			 ]
//
// Then details of what "special" fields we have. These are stored in the user records.
var extList= {created:1, newsletter:1, organisation:1, locations:1, company_size:1, scheme:1, benefits:1};

// Define reserved names that cannot be imported/exported.
var reservedNames = {'superuser':1, 'admin':1};
