var HorizRenderTop = {name:'horizTopLevel'};

Menu.addEngine(HorizRenderTop);

// Render the engine as a horizontal line - one level only. The level is selected by the level paramter. Level 1
// is the top level. Other numbers only have meaning if a top level item is selected.
HorizRenderTop.render = function (menu, data) {
  // Default is the top level element.
  var entries=[];

  var list  = menu.topItems;
  var list2 = menu.selItem;

  while (list2 && list2.level>2)
    list2 = list2.parent;

  entries.push('<table border="0" cellpadding="0" cellspacing="0" height="28" background="/custom/images/menuback.gif" ><tr>');

  if (list) {
      // Display
    var targ = list.length>9 ? 9 : list.length;
    for (var i=0;i<targ;i++) {
      // OK - display the elements.
      var str = '';
      var sel = (list[i].selected || list[i].pathSelect);
      var cls = sel ? data.styles.sel : data.styles.norm;
      var mod = sel ? 'u': 's';
      
      if (data.isNetscape==true) {
        str += '<td><img src="/custom/images/tableft_'+mod+'.gif"></td>'
        str += '<td style="background-image:url(/custom/images/tabmid_'+mod+'.gif);background-repeat:repeat-x">';
        if (list[i].href!=null)
          str += '<a href="'+list[i].href+'" class="'+cls+'" >'+list[i].name+'</a>'
         else
          str += list[i].name;
        str += '</td><td><img src="/custom/images/tabright_'+mod+'.gif"></td>'
      }
      else {
         str += '<td><img src="/custom/images/tableft_'+mod+'.gif"/></td>';
         str += rb.page.format('<td background="/custom/images/tabmid_%s.gif" align="center">',mod);
         str += '<div style="height:28; max-height:28; overflow:hidden">';
         str += '<span style="position:relative; bottom:14" class="'+cls+'">';
         if (list[i].href!=null)
             str += '<a href="'+list[i].href+'" class="'+cls+'">'+list[i].name+'</a>';
         else
             str += list[i].name;
         str += '</span>';
         str += '<img src="/custom/images/tabright_'+mod+'.gif"/></div>';
         str += '</td><td width="1px"><img src="/custom/images/tabsep.gif"></td>\n';
      }
      entries.push(str);
    }
  }
  // Now output the entries;
  entries.push('<td valign="bottom"><img src="/custom/images/tabend.gif"></td>');
  
  entries.push('</tr></table>');
  for (var i=0;i<entries.length;i++) {
    rb.page.write(entries[i]);
  }
}
var VertRenderL2 = {name:'vertLevel2'};

Menu.addEngine(VertRenderL2);

// Render the engine as a horizontal line - one level only. The level is selected by the level paramter. Level 1
// is the top level. Other numbers only have meaning if a top level item is selected.
VertRenderL2.render = function (menu, data) {
var outStr = "";

  // Default is the top level element.
  list = menu.selItem;
  while (list && list.level>1) {
    list = list.parent;
  }
  if (list && list.length>0) {
    // Display
    outStr += '<table border="0">\n';
    var targ = list.length>9 ? 9 : list.length;
    for (var i=0;i<list.length;i++) {
      rb.debug.write(list[i].name+'<br>'); 
      // OK - display the elements.
      var cls = data.styles.norm;
      if (list[i].selected)
        cls = data.styles.sel;
      outStr += '<tr><td class="leftMenu">';
      if (list[i].href!=null)
        outStr += rb.page.format('<img src="/images/%s.gif" width="12" height="12"><a href="%s" class="leftMenu">%s</a>', 
            (list[i].selected?"but1":"spacer"), list[i].href, (list[i].name).replace(/\s/g,'&nbsp;'));
      else
        outStr += list[i].name;
      outStr += '</td></tr>\n';
    }
    outStr += '</table>\n';
  }
  return outStr;
}
