<rb:script>
   var debugString = new String;
   
   function dumpObjToStr(obj,pref,maxLevels) {
       if (maxLevels==null)
          maxLevels = 8;
	    debugString  = '<table border="1">';
	    dumpRow(obj, pref, 0,maxLevels);
	    debugString += "</table>";
   }	
   function dumpObj(obj,pref,maxLevels) {
	    dumpObjToStr(obj, pref, maxLevels);
      rb.debug.write(debugString);
   }	

   function dumpRow(obj,pref,level,maxLevels) {
      if (obj==null) {
         debugString += ('<tr><td>null</td></tr>');
         return ;
      }
		if (level==maxLevels) {
			// Too deep!
         // debugString += '<tr><td>&nbsp;</td><td>...<i>too deep</i></td></tr>';
			return;
		}
      level++;

		switch (typeof obj) {
		case 'object':
         var count=0;
         var x;

      if (Util.isBinary(obj)) {
        debugString += '<tr><td>Binary</td><td>obj.length</td><td>'+obj.length+'</td></tr>\n';
        debugString += '<tr><td></td><td>obj.fname()</td><td>'+obj.fname()+'</td></tr>>\n';
        debugString += '<tr><td></td><td>obj.mime()</td><td>'+obj.mime()+'</td></tr>\n';
      }
			if (obj.__proto__==String.prototype) {
            debugString += '<TR><TD>'+typeof obj+'</TD><TD>'+pref+'</TD><TD>'+Util.doXmp(obj)+'&nbsp;</TD></TR>\n';
			}
			if (obj.__proto__==Function.prototype) {
            debugString += '<TR><TD>function</TD><TD>'+pref+'</TD><TD>'+obj+'</TD></TR>\n';
         }
         else {
            for (x in obj) {
               count++;
               if ("object" == typeof obj[x]) {
                  if (x!='parent')
                     dumpRow(obj[x], pref+'.'+x, level, maxLevels);
                  else
                     debugString += "<tr><td>object</td><td>"+pref+".parent</td><td>Parent Reference</td></tr>\n";
               }
               else if (typeof obj[x]!="function") {
                  debugString += "<TR><TD>"+typeof obj[x]+"</TD><TD>"+pref+"."+x+"</TD><TD>"+Util.doXmp(obj[x])+"</TD></TR>\n";
               }
            }
            if (count==0) {
               debugString += "<TR><TD>"+typeof obj+"</TD><TD>"+pref+"</TD><TD><i>"+obj.toString()+"</i></TD></TR>\n";
            }
			}
         break;
		default:
          debugString += '<TR><TD>'+typeof obj+"</TD><TD>"+pref+'</TD><TD><i>'+Util.doXmp(uneval(obj))+'</i>&nbsp;</TD></TR>\n';
			 break;
		}
   }
</rb:script>


