<!-- General purpose document editor - used for:
        New Articles,
        WG docs
        Anything else we want!
     Configured by defining Doc.flags.???? before calling. ???? can be:
        keyword     - want keyword field
        summary     - want summary field
        status      - want status field
        category    - want to select category
     Must be included within a formset.
  -->
<script>
  // Lauch the permissions window.
  function accessPermission(docID) {
    var handle = window.open('/doc/setPermission.rhtm?rbcmd-change=yes&docID='+docID,"select","resizable=yes,width=600,height=250",true);
    handle.focus();    
    return false;
  }
</script>

<rb:script>
  if (Doc.flags==null)
    rb.debug.error("Must define 'Doc.flags' before including this file!");

  // If there is a user ID in the parameter list then get that users record.
  function docForm(memb, display) {
     rb$data = thisArticle;
     var tag = rb.xml.root.findId("newsForm");

     var oldStatic   = rb$doStaticForm;
     rb$doStaticForm = display;

     tag[0].execute();

     // Restore the static flag.
     rb$doStaticForm = oldStatic;

     // Clear the static 
     rb.page.write(tag[0].bodytext());
  }

  function getDefaultOptions(inData) {
    // Check paramters.
    var defVals = {author:true, useGlossary:true, title:'Content', form:'mainForm', ifname:'content', height:6300,
                   css:'/custom/default.css'
                  };
  
    if (inData==null)
       inData = {};
  
    for (var p in defVals) {
      if (inData[p]==null)
        inData[p] = defVals[p];
    }
    return inData;
  }


</rb:script>
<rb:block rb:id="newsForm">
  <!-- ************************ Form declaration for the News Item ***************************-->
	<table class="TableBdr" cellpadding="2" cellspacing="0" border="0" width="100%">
  <colgroup>
    <col width="100">
    <col width="150">
    <col width="50">
    <col>
  </colgroup>
  <rb:test expr="Doc.flags.heading!=null">
    <rb:true><tr><td colspan="4" align="center" class="HeadCellBig"><rb:eval expr="Doc.flags.heading"/></td></tr></rb:true>
  </rb:test>
  <rb:test expr="rb$message!=null">
    <rb:true><tr><td colspan="4" align="center" class="Message"><rb:eval expr="rb$message"/></td></tr></rb:true>
  </rb:test>
  <rb:test expr="Doc.flags.author">
  <rb:true>
    <rb:script>
      // Want to know the name of the original author.
      if (thisArticle.authorID)
        var auth = rb.contact.individualInfo(thisArticle.authorID);
      else
        var auth = aMember
    </rb:script>
    <tr>
      <rb:test expr="auth!=null">
      <rb:true>
        <td valign="middle" class="HeadCell">Author</td>
        <td valign="middle" class="HeadCell" colspan="2"><rb:eval expr="auth.name+'('+auth.uName+')';"/></td>
      </rb:true>
      <rb:false>
        <td valign="middle" class="HeadCell" colspan="2">&nbsp;</td>
      </rb:false>
      </rb:test>
      <td valign="middle" class="HeadCell" align="right">
        Status&nbsp;<select name="state">
          <rb:repeatfor expr="var status in Doc.allowedStatus">
            <option rb:eval="value#status"><rb:eval expr="status"/></option>
          </rb:repeatfor>
        </select>
      </td>
    </tr>
  </rb:true>
  </rb:test>

  <tr valign="bottom" >
    <td valign="middle" class="HeadCell">Creation Date</td>
    <rb:test expr="Doc.flags.author">
    <rb:true>
      <td valign="middle" class="HeadCell"  colspan="3"><rb:eval expr="Util.fmtShortDate(thisArticle.created)"/></td>
    </rb:true>
    <rb:false>
      <td valign="middle" class="HeadCell"  colspan="2"><rb:eval expr="Util.fmtShortDate(thisArticle.created)"/></td>
      <td valign="middle" class="HeadCell" align="right">
        <rb:test expr="SysData.RootCats.DocCats!=null">
          <rb:true>
            <rb:script>
              // Process assocParents if we have to.
              var assocParents = {};
              if (SysData.RootCats.DocCats!=null) {
                for (var i=0;i<thisArticle.assocParents;i++)
                  assocParents[thisArticle.assocParents[i]] = true;
              }
            </rb:script>
            Category
            <select name="category" style="width:150">
              <option value="-1">--- select ---</option>
              <rb:repeatfor expr="var it=rb.catalogue.category.get({ID:SysData.RootCats.DocCats, idMkr:'N', nextLevel:true, allLevels:false});it.getNextRow();">
                <option rb:eval="value#it.nodeID" rb:eval1="assocParents[it.nodeID]!=null?'SELECTED':''"><rb:eval expr="it.name"/></option>
              </rb:repeatfor>
            </select>
          </rb:true>
        </rb:test>
        Status&nbsp;<select name="state">
          <rb:repeatfor expr="var status in Doc.allowedStatus">
            <option rb:eval="value#status"><rb:eval expr="status"/></option>
          </rb:repeatfor>
        </select>
      </td>
    </rb:false>
    </rb:test>
  </tr>
  <rb:test expr="Doc.flags.pubDate">
  <rb:true>
    <tr valign="bottom">
      <td class="HeadCell">Release Date</td><td colspan="3" class="HeadCell"><input type="text" name="pubDate" rb:eval="value#Util.fmtShortDate(thisArticle.pubDate==null?new Date:thisArticle.pubDate)"></td>
    </tr>
  </rb:true>
  </rb:test>
  <rb:test expr="Doc.flags.category">
  <rb:true>
    <tr valign="bottom" >
      <rb:test expr="thisArticle.parent==null">
      <rb:true>
        <td valign="middle" class="HeadCell">Category</td>
        <td valign="middle" class="HeadCell" colspan="2">
          <rb:test expr="specifiedParent==null">
          <rb:true>
            <select name="parent">
              <option rb:eval="value#SysData.RootCats.News">General</option>
              <rb:eval expr="insertCategories()"/>
            </select>
          </rb:true>
          <rb:false>&nbsp;</rb:false>
          </rb:test>
        </td>
      </rb:true>
      <rb:false>
        <td valign="middle" class="HeadCell">News Category</td>
        <td valign="middle" class="HeadCell" colspan="3">
          <rb:script>
             for (var i=0;i<catList.length;i++) {
                if (catList[i].ID == thisArticle.parent) {
                   rb.page.write(catList[i].name);
                   break;
                }
             }
             if (i==catList.length)
               rb.page.write("Unclassified Document");
          </rb:script>
        </td>
        </rb:false>
        </rb:test>
    </tr>
  </rb:true>
  </rb:test>

  <rb:test expr="Doc.flags.editTitle!=null">
    <rb:true>
      <tr>
        <td valign="middle" class="HeadCell"><rb:eval expr="Doc.flags.editTitle!=true?Doc.flags.editTitle:'Title'"/></td>
        <td class="HeadCell" colspan="3"><input type="text" size="80" name="title" value=""/></td>
      </tr>
    </rb:true>
    <rb:false>
      <rb:test expr="Doc.flags.showTitle!=null">
        <rb:true>
          <tr>
            <td valign="middle" class="HeadCell"><rb:eval expr="Doc.flags.showTitle!=true?Doc.flags.editTitle:'Title'"/></td>
            <td class="HeadCell" colspan="3"><rb:eval expr="rb$data.title"/></td>
          </tr>
        </rb:true>
      </rb:test>
    </rb:false>
  </rb:test>


  <rb:test expr="Doc.flags.keywords">
  <rb:true>
    <tr>
      <td valign="middle" class="HeadCell">Keywords</td>
      <td class="HeadCell" colspan="3"><input type="text" size="80" name="keywords" value=""/></td>
    </tr>
  </rb:true>
  </rb:test>
  <rb:test expr="Doc.flags.summary">
  <rb:true>
  <tr valign="bottom" >
    <td valign="middle" class="HeadCell">Summary</td>
    <td valign="middle" class="HeadCell" colspan="3"><textarea name="summary" rows="5" cols="60"><rb:eval expr="rb$data.summary"/></textarea></td>
  </tr>
  </rb:true>
  </rb:test>
  <rb:test expr="Doc.flags.editContent">
  <rb:true>
    <tr><td colspan="4">
      <rbm:richtext rb:eval ="formname#editCntrlFieldData.form" 
                    rb:eval1="allowplain#editCntrlFieldData.plain" 
                    rb:eval2="stylesheet#''+editCntrlFieldData.css"
                    rb:eval3="name#editCntrlFieldData.ifname"
                    rb:eval4="pixheight#editCntrlFieldData.height"
                    rb:eval5="pixwidth#editCntrlFieldData.width"
                    rb:eval6="editCntrlFieldData.useGlossary?'useglossary=yes':''"
                    cellclass="HeadCell" cellspacing="1" border="1" ><rb:eval expr="rb$data.content.data"/></rbm:richtext>
    </td></tr>
  </rb:true>
  </rb:test>
  <rb:test expr="Doc.flags.upload">
  <rb:true>
  <tr valign="bottom" >
    <td valign="middle" class="HeadCell" colspan="1">upload a content file</td>
    <td valign="middle" class="HeadCell" colspan="3"><input type="file" name="content_upload"/></td>
  </tr>
  </rb:true>
  </rb:test>
  <rb:test expr="Doc.flags.refFile">
  <rb:true>
  <tr valign="bottom" >
    <td valign="middle" class="HeadCell" colspan="1">server file<br>(for large documents)</td>
    <td valign="middle" class="HeadCell" colspan="3"><input type="text" name="content_server" rb:eval="value#thisArticle.content.type=='server'?thisArticle.content.loc:''"/>
      Type&nbsp;<select name="content_server_mime">
        <option value="***">---Document Type---</option>
        <rb:script>
          var mimes = {"text/html":"HTML", "text/plain":"Plain Text", "text/rtf":"Rich Text Format (RTF)", "application/pdf":"Adobe PDF", "application/msword":"Microsoft Word", 
                       "application/vnd.ms-excel":"Microsoft Excel", "application/vnd.ms-powerpoint":"Microsoft Powerpoint"};
          var thisMime = thisArticle.mime;
        </rb:script>
        <rb:repeatfor expr="var xx in mimes">
          <option rb:eval1="value#xx" rb:eval2="xx==thisMime?'selected':''"><rb:eval expr="mimes[xx]"/></option>
        </rb:repeatfor>
      </select>
    </td>
  </tr>
  </rb:true>
  </rb:test>
    <tr>
      <td  valign="middle" class="HeadCell" align="left" colspan="1"><a href="/help/docguide.rhtm">Document Guidelines</a></td>
      <td valign="middle" class="HeadCell" align="right" colspan="3" nowrap="true">
        <!-- Display any buttons that need to be displayed. -->
        <rb:test expr="Doc.flags.buttons!=null">
          <rb:true>
            <rb:repeatfor expr="var but in Doc.flags.buttons">
              <input type="submit" rb:eval="name#Doc.flags.buttons[but].name" rb:eval1="value#Doc.flags.buttons[but].value" 
                         rb:eval2="Doc.flags.buttons[but].onClick==null?'':'onClick=&quot;'+Doc.flags.buttons[but].onClick+'&quot;'">&nbsp;
            </rb:repeatfor>
          </rb:true>
        </rb:test>
        <rb:test expr="Doc.flags.save!=null">
          <rb:true>
            <input type="submit" name="rbcmd-save" rb:eval="value#Doc.flags.save">
          </rb:true>
          <rb:false>
            <input type="submit" name="rbcmd-save" rb:eval="value#thisArticle.ID>0?'Save':'Create'">
          </rb:false>
        </rb:test>
        <rb:test expr="Doc.flags.cancel!=null">
          <rb:true>&nbsp;<input type="submit" name="rbcmd-cancel" rb:eval="value#Doc.flags.cancel">&nbsp;</rb:true>
          <rb:false><rbm:returnButton value="Cancel"/>&nbsp;</rb:false>
        </rb:test>
      </td>
    </tr>
	</table>
</rb:block>

