// These globals set menu style elements
// ***********************************
var menuNormal = " font-family: Verdana, Arial, Helvetica, sans-serif;text-decoration:none;color:#006600;font-size:xx-small";
var menuSelect = " font-family: Verdana, Arial, Helvetica, sans-serif;text-decoration:none;color:#FF4040;font-weight:bold;font-size:xx-small";
// NB If icons and frame widths are changed the DHTML routines may need changing
// ***********************************

var b = new browserInfo(); // Holds browser information
var u = new Object(); //hold flags for inter frame messages
	u.rewrite = false; // rewrite request
	u.pending = false; // rewrite pending, cleared when main frame loads
	u.all = false; // display all
	u.chapter = 0; // chapter
	u.section = 0; // and section to display
	u.hashLoc = ""; // local anchor if present including # symbol

//The following variable holds currently expanded chapters
var openChapters = new Array(); //expanded chapters, 1 means expanded, 0 means not
for (var i=0; i<CONTENTS.length; i++) openChapters[i]=0;

// This is a constructor function to get browser information
function browserInfo() {
	this.code = 'unknown';
	this.version = 0;
	this.platform = 'Win';
	var ua = navigator.userAgent;
	var i = ua.indexOf('WebTV');
	if (i >= 0) {
		this.code = 'WebTV';
		i += 6;
	} else {
		i = ua.indexOf('MSIE');
		if (i >= 0) {
			this.code = 'MSIE';
			i += 5;
		} else {
			i = ua.indexOf('Opera');
			if (i >= 0) {
				this.code = 'OP';
				i = ua.indexOf(') ') + 2;
			} else {
				i = ua.indexOf('Mozilla/');
				if (i >= 0) {
					this.code = 'NS';
					i += 8;
				}
			}
		}
	}
	this.version = parseFloat(ua.substring(i, i+4));
	if (ua.indexOf('Mac') >= 0) {this.platform = 'Mac';}
	if (ua.indexOf('OS/2') >= 0) {this.platform = 'OS/2';}
	if (ua.indexOf('X11') >= 0) {this.platform = 'UNIX';}
	var v = this.version;
	var p = this.platform;
	var NS = (this.code == 'NS');
	var IE = (this.code == 'MSIE');
	var WTV = (this.code == 'WebTV');
	var OP = (this.code == 'OP');
	var IE5up = (IE && (v >= 5));
	var NS4up = (NS && (v >= 4));
//alert("Code "+this.code+" Version "+this.version);
	this.canPrint = IE5up || NS4up;
}

// Called indirectly from polling loop after call to writeCont or move or showAll with 
// chapter, section and hash. Either updates nav or loads document into main frame.
function writeCont2(chapter,section,hashLoc) {
	if (u.all) {
		self.main.document.location = "doc.rhtm?frame=main&name="+escape(DOCUMENT)+hashLoc;
		displayCont(true);
	} else {
		if (section == 0) { //must be a chapter that has been clicked in nav
			if (openChapters[chapter] == 0){ //chapter closed so open it
				openChapters[chapter]=1;
			} else { //chapter open so close it
				openChapters[chapter]=0;
			}
			displayCont(false);
		} else { //must be a section requested
			if (chapter == curChapter && section == curSection){//already there
				;//do nothing
			} else if (chapter != curChapter) {//Chapter might be closed
				openChapters[chapter]=1;	//open requested chapter					
				curChapter = chapter;
				curSection = section;
				self.main.document.location = "doc.rhtm?frame=main&name="+escape(DOCUMENT)+"&chapter="+chapter+"&section="+section+hashLoc;
				displayCont(false);
			} else {//section clicked on nav frame
				curChapter = chapter;
				curSection = section;
				self.main.document.location = "doc.rhtm?frame=main&name="+escape(DOCUMENT)+"&chapter="+chapter+"&section="+section+hashLoc;
				displayCont(false);
			}
		}
	}
}

// This and following 2 functions write chapter and section display to the nav frame.
// If allDisp is true all text will be written in the "selected" colour & style.
function displayCont(allDisp){
	self.nav.document.open();
	self.nav.document.write('<html><head></head><body>'+
	'<table border="0" cellspacing="0" cellpadding="0" width="145">'+
	'<tr><td width="16">&nbsp;</td><td width="16" >&nbsp;</td><td width="113">&nbsp;</td></tr>');
	for (var i=1;i<CONTENTS.length;i++){
		if (openChapters[i]==0) {// write closed chapter
			if (CONTENTS[i][0]!=""){//process if its not blank
				writeChapter(i,true,allDisp);
			}	
		} else {// write open chapter
			if (CONTENTS[i][0]!=""){//process if its not blank
				writeChapter(i,false,allDisp);
			}	
			for (var j=1;j<CONTENTS[i].length;j++){
				writeSection(i,j,allDisp);
			}
		}
	}
	self.nav.document.write('</table></body></html>');
	self.nav.document.close();
}

function writeChapter(chapter, closed, allDisp){
	var d=self.nav.document;
	if (closed) {
		d.write('<tr><td width="16"><img src="images/chapter.gif" width="16" height="15"></td><td colspan="2">');
	} else {
		d.write('<tr><td width="16"><img src="images/openChapter.gif" width="16" height="15"></td><td colspan="2">');
	}
	if (allDisp) {
		d.write('<a style="'+menuSelect+'" href="blank.html" onClick="top.writeCont('+chapter+',0); return false;">');
	} else {
		d.write('<a style="'+menuNormal+'" href="blank.html" onClick="top.writeCont('+chapter+',0); return false;">');
	}
		d.write(CONTENTS[chapter][0]+'</a><td></tr>');
}

function writeSection(chapter, section, allDisp){
	var d=self.nav.document;
	d.write('<tr><td width="16">&nbsp;</td><td><img src="images/section.gif" width="16" height="15"></td><td>');
	if ((chapter == curChapter && section == curSection)||allDisp) {
		d.write('<a style="'+menuSelect+'" href="blank.html" onClick="top.writeCont('+chapter+','+section+'); return false;">');
	} else {
		d.write('<a style="'+menuNormal+'" href="blank.html" onClick="top.writeCont('+chapter+','+section+'); return false;">');
	}
	d.write(CONTENTS[chapter][section]+'</a></td></tr>');
}

// Sets chapter and section variables with next in sequence if prev or next pushed
// Puts up alert if end reached.
function move(direction) {
	var chapter = curChapter;
	var section = curSection;
	var endReached = false; //used to decided whether to put up an alert

	if (direction == "next"){	  
		if (curSection < (CONTENTS[curChapter].length-1)) {//more sections in this chapter
			section++;
		} else { //first section of next chapter if it exists		
			if (curChapter < (CONTENTS.length-1)) { //another chapter exists
				openChapters[chapter++]=0;
				openChapters[chapter]=1;
				section = 1;
			} else {
				endReached = true;
			}
		}   
	} else { //direction is prev
		if (curSection > 1) {
			section--;
		} else { //go to last section of previous chapter if it exists
			if (curChapter > 1) {
				openChapters[chapter--]=0;
				openChapters[chapter]=1;
				section = CONTENTS[chapter].length-1;
			} else {
				endReached = true;
			}
		}
	}
	if (endReached) alert("No more sections in this direction");
	else {
		u.chapter = chapter;
		u.section = section;
		u.all =false;
		u.rewrite = true;
	}
}		 

//show chapter and section when selected - typically called as event handler
function writeCont(chapter,section,hashLoc) { 	
	u.chapter = chapter;
	u.section = section;
	u.hashLoc =(hashLoc == null)?"":hashLoc;
	u.all =false;
	u.rewrite = true;
}

function showAll(){ //show the entire document when pressed
	u.all = true;
	u.rewrite = true;
}

function printMain(){ //print the documentation (if browser supports it)
	if (b.canPrint) {
		top.main.focus();
		top.main.print();
	}
	else 
		alert("Sorry, your browser does not support printing from within a page. Please use the print function on the browser menu bar.");
}

function initialDisplay() { //run once on start up 
	u.chapter=curChapter;
	u.section=curSection;
	curChapter=0;
	curSection=0;
	openChapters[u.chapter]=1;
	u.rewrite = true;
}

function schedDisp() {//and then every 200mS
	if (!u.pending) {
		if (u.rewrite == true){
			u.rewrite = false;
			writeCont2(u.chapter,u.section,u.hashLoc);
		}
	}
	setTimeout("schedDisp()",200);
}


