var HorizRenderTop = {name:'horizTopLevel'};

Menu.addEngine(HorizRenderTop);

// Render the engine as a horizontal line - one level only. The level is selected by the level paramter. Level 1
// is the top level. Other numbers only have meaning if a top level item is selected.
HorizRenderTop.render = function (menu, data) {
  // Default is the top level element.
  var entries=[];

  var list  = menu.topItems;
  var list2 = menu.selItem;

  while (list2 && list2.level>2)
    list2 = list2.parent;

  if (list) {
      // Display
    var targ = list.length>9 ? 9 : list.length;
    for (var i=0;i<targ;i++) {
      // OK - display the elements.
      var str = '';
      var cls = data.styles.norm;
      if (list[i].selected)
        cls = data.styles.sel;
      
      str += rb.page.format('<td class="%s">',cls);
      if (list[i].href!=null)
        str += rb.page.format('<a href="%s" class="%s" %s>%s</a><br><img src="/images/vbartop.gif" width="73" height="7"/>', 
        list[i].href, cls, ((list[i].selected)?'class="'+data.styles.sel+'"':''), list[i].name,list[i].selected?'sel':'',i+1);
      else
        str += rb.page.format(list[i].name);
      entries.push(str+'</td>');
    }
    // Need to make sure we output 9 elements in all.
    i++;
    for (;i<9;i++) {
      entries.push('<td><img src="/images/vbartop.gif" width="73" height="7"/></td>');
    }
  }
  // Now output the entries;
  for (var i=0;i<entries.length;i++) {
    rb.page.write(entries[i]);
  }
}
var VertRenderL2 = {name:'vertLevel2'};

Menu.addEngine(VertRenderL2);

// Render the engine as a horizontal line - one level only. The level is selected by the level paramter. Level 1
// is the top level. Other numbers only have meaning if a top level item is selected.
VertRenderL2.render = function (menu, data) {
  // Default is the top level element.
  list = menu.selItem;
  while (list && list.level>1) {
    list = list.parent;
  }
  if (list) {
      // Display
    rb.page.write('<table border="0">\n');
    var targ = list.length>9 ? 9 : list.length;
    for (var i=0;i<list.length;i++) {
      // OK - display the elements.
      var cls = data.styles.norm;
      if (list[i].selected)
        cls = data.styles.sel;
      rb.page.fwrite('<tr><td class="%s">',cls);
      if (list[i].href!=null)
        rb.page.fwrite('<a href="%s" class="%s">%s</a>', list[i].href, (list[i].selected?data.styles.sel:data.styles.norm), list[i].name);
      else
        rb.page.fwrite(list[i].name);
      rb.page.write('</td></tr>\n');
    }
    rb.page.write('</table>\n');
  }
}
