<rb:script>
  // Use the manual parent name by default.
  var parentName = profile.member.customData.organisation;
 
  if (profile.member.parent>0) {
    var parent = rb.contact.OUInfo(profile.member.parent);
    if (parent)
      parentName = parent.name;
  }

  // Load the statement (item data from associated catalgoue item).
  var catItem = profile.loadCatItem();
  var statement;

  if (catItem && catItem.stockData)
    statement = catItem.stockData;

  if (statement == null)
    statement = '&nbsp;';
</rb:script>

<rb:test expr="ownProfile">
<rb:true>
  <form name="editform" action="profile.rhtm" method="get" enctype="multipart/form-data">
  <table border="0" width="550">
    <tr>
      <th height="1" width="150"><img src="/images/spacer.gif" width="150" height="1"/></th>
      <th height="1" width="50" ><img src="/images/spacer.gif" width="50"  height="1"/></th>
      <th height="1" width="225"><img src="/images/spacer.gif" width="225" height="1"/></th>
      <th height="1" width="150"><img src="/images/spacer.gif" width="150" height="1"/></th>
    </tr>
    <tr><td colspan="4" align="center"><big>Edit Public Profile for &quot;<rb:eval expr="profileMember.uName"/>&quot;</big></td></tr>
    <tr><td colspan="4"><hr></td></tr>
    <tr>
      <td colspan="2">
        Let others see your profile?
      </td>
      <td>
        <input type="checkbox" name="publicProfile" value="yes" rb:eval="profile.isPublic()?'checked':''"/>
      </td>
      <td align="right">
        <a href="/help/profile.rhtm" target="help">What is a 'profile'</a>
      </td>
      <td>&nbsp;</td>
    </tr>
    <tr><td colspan="4"><hr></td></tr>
    <tr>
      <td colspan="3">
        <table border="0" width="350">
          <tr>
            <td height="1"><img src="/images/spacer.gif" width="150" height="1"/></td>
            <td height="1"><img src="/images/spacer.gif" width="50" height="1"/></td>
            <td height="1"><img src="/images/spacer.gif" width="225" height="1"/></td>
          </tr>
          <tr><td colspan="3" align="center"><h2>What to allow people to see</h2></td></tr>
            <!-- Display the various elements of the public profile.-->
            <tr>
              <td>Name</td>
              <td><input type="checkbox" value="yes" name="name" rb:eval="profile.data['name']?'checked':''"/></td>
              <td><rb:eval expr="profile.member.name"/></td>
            </tr>
            <tr>
              <td>Job Title</td>
              <td><input type="checkbox" value="yes" name="jobTitle" rb:eval="profile.data['jobTitle']?'checked':''"/></td>
              <td><rb:eval expr="profile.member.customData.regdata.jobTitle"/></td>
            </tr>
            <rb:test expr="parentName!=null">
              <rb:true>
                <tr>
                    <td>Organisation</td>
                  <td><input type="checkbox" value="yes" name="org" rb:eval="profile.data['org']?'checked':''"/></td>
                  <td><rb:eval expr="parent.uName=='users'?profile.member.customData.regdata.personalOrg:parent.name"/></td>
                </tr>
              </rb:true>
            </rb:test>
            <tr>
              <td>Web Site</td>
              <td><input type="checkbox" value="yes" name="website" rb:eval="profile.data['website']?'checked':''"/></td>
              <td><rb:eval expr="profile.member.customData.web!=''?profile.member.customData.web:(parent!=null?parent.web:'')"/></td>
            </tr>
            <tr><td colspan="3"><hr></td></tr>
            <tr>
              <td>Address</td>
              <td><input type="checkbox" value="yes" name="address" rb:eval="profile.data['address']?'checked':''"/></td>
              <td><rb:eval expr="profile.member.addr1"/></td>
            </tr>
            <rb:test expr="profile.member.addr2!=''"><rb:true><tr><td>&nbsp;</td><td>&nbsp;</td><td><rb:eval expr="profile.member.addr2"/></td></tr></rb:true></rb:test>
            <rb:test expr="profile.member.addr3!=''"><rb:true><tr><td>&nbsp;</td><td>&nbsp;</td><td><rb:eval expr="profile.member.addr3"/></td></tr></rb:true></rb:test>
            <rb:test expr="profile.member.addr4!=''"><rb:true><tr><td>&nbsp;</td><td>&nbsp;</td><td><rb:eval expr="profile.member.addr4"/></td></tr></rb:true></rb:test>
            <rb:test expr="profile.member.post_code!=''"><rb:true><tr><td>Post Code</td><td>&nbsp;</td><td><rb:eval expr="profile.member.post_code"/></td></tr></rb:true></rb:test>
            <rb:test expr="profile.member.country!=''"><rb:true><tr><td>Country/State</td><td>&nbsp;</td><td><rb:eval expr="profile.member.country"/></td></tr></rb:true></rb:test>
            <tr><td colspan="3"><hr></td></tr>
            <tr>
              <td>Telephone</td>
              <td><input type="checkbox" value="yes" name="phone" rb:eval="profile.data['phone']?'checked':''"/></td>
              <td><rb:eval expr="profile.member.phone"/></td>
            </tr>
            <tr>
              <td>Mobile</td>
              <td><input type="checkbox" value="yes" name="phone2" rb:eval="profile.data['phone2']?'checked':''"/></td>
              <td><rb:eval expr="profile.member.phone2"/></td>
            </tr>
        </table>
      </td>
      <td width="150" valign="bottom">
        <a rb:eval="href#'/user/getpic.rhtm/pic.gif?memberid='+profile.member.ID"><img rb:eval="src#'/user/getpic.rhtm?memberid='+profile.member.ID" width="150" height="150"/></a>
      </td>
    </tr>
    <tr>
      <td colspan="4" align="right"><input type="file" name="file" accept="image/gif,image/jpeg"></td>
    </tr>
    <rb:test expr="ownProfile">
      <rb:true>
        <tr><td colspan="4"><hr></td></tr>
        <tr><td colspan="4" align="center">Click <a href="/admin/edituser.rhtm?rbcmd-edit=yes"><i>here</i></a> to edit your <b>personal details</b></td></tr>
      </rb:true>
    </rb:test>
        <tr><td colspan="4"><hr></td></tr>
    <!-- Finally - is there a description placed here by the user? -->
    <tr>
      <td colspan="2" valign="top">
        <h4>Personal Statement</h4>
      </td>
      <td colspan="2" align="right" valign="top">
        Let people see my statement <input type="checkbox" name="statement" value="yes" rb:eval="profile.data['statement']?'checked':''">
      </td>
    </tr>
    <tr>
      <td colspan="4">
        <p>Free-form text area that allows you to describe yourself to the rest of the community.</p>

        <rbm:richtext title="Personal Statement"
                      allowplain='yes'
                      stylesheet="/custom/default.css"
                      name="statementContent"
                      pixheight="400"
                      pixwidth="650" 
                      cols="70" rows="15" maxsize="4096" 
                      cellclass="HeadCell" cellspacing="1" border="1" ><rb:eval expr="statement"/></rbm:richtext>
      </td>
    </tr>
    <tr><td colspan="4"><hr></td></tr>
    <!-- Interest areas -->
    <rb:script>
      var skillset    = Profile.loadSkillSet(); // The complete set.
      var usersSkills = profile.loadSkillSet(); // For this user.

      // Going to display 3 columns - so divide length by 3.
      var maxPerColumn = Math.floor((skillset.order.length+2)/3);
    </rb:script>
    <tr>
      <td colspan="4">
        <rb:test expr="skillset!=null">
        <rb:true>
          <h4>Skills/Interests</h4>
          <p>Select areas of interest/speciality/skills. This information allows people to search for people within the community</p>
          <table width="100%">
            <tr>
              <td valign="top">
                <rb:repeatfor expr="var j=0;j<maxPerColumn;j++">
                  <input type="checkbox" name="skill" rb:eval="value#skillset.order[j].code" rb:eval1="usersSkills[skillset.order[j].code]?'checked':''">&nbsp;<rb:eval expr="skillset.order[j].name"/><br>
                </rb:repeatfor>
              </td>
              <td valign="top">
                <rb:repeatfor expr=";j<(maxPerColumn*2);j++">
                  <input type="checkbox" name="skill" rb:eval="value#skillset.order[j].code" rb:eval1="usersSkills[skillset.order[j].code]?'checked':''">&nbsp;<rb:eval expr="skillset.order[j].name"/><br>
                </rb:repeatfor>
              </td>
              <td valign="top">
                <rb:repeatfor expr=";j<skillset.order.length;j++">
                  <input type="checkbox" name="skill" rb:eval="value#skillset.order[j].code" rb:eval1="usersSkills[skillset.order[j].code]?'checked':''">&nbsp;<rb:eval expr="skillset.order[j].name"/><br>
                </rb:repeatfor>
              </td>
            </tr>
          </table>
        </rb:true>
        </rb:test>
        <p><br>Enter any 'keywords', separated by commas, that you think may help people to find you in a search<br>
        <input type="text" size="85" maxlength="150" name="keywords" rb:eval="value#profile.loadCatItem().itemData.keywords">
      </td>
    </tr>

    <tr><td colspan="4"><hr></td></tr>
    <rb:test expr="rb$message!=''">
      <rb:true>
        <tr><td><img src="/images/stop.gif" valign="middle" align="right"/></td><td align="center" colspan="3" valign="middle"><rb:eval expr="rb$message"/></td></tr>
        <tr><td colspan="4"><hr></td></tr>
      </rb:true>
    </rb:test>
    <tr><td colspan="4" align="center">
      <input type="submit" name="rbcmd-saveProfile" value="Save Changes">&nbsp;
      <input type="submit" name="rbcmd-cance" value="Cancel">
    </td></tr>
    <tr><td colspan="4"><hr></td></tr>
  </table>
  </form>
</rb:true>
<rb:false>
  <rb:eval expr="Util.httpRedirect('/index.rhtm')"/>
</rb:false>
</rb:test>
