<rb:script>
  // Get parent data for this individual.
  var parent = rb.contact.OUInfo(profile.member.parent);

  // Load the statement (item data from associated catalgoue item).
  var catItem = profile.loadCatItem();

  var statement;

  if (catItem && catItem.stockData)
    statement = catItem.stockData;

  if (statement == null)
    statement = '<i>No personal statement</i>';

  var site = profile.member.customData.web;
  if (site!=null && site!='') {
    if (site.indexOf('http://')==0)
      site = site.slice(7);
    site = '<a href="http://'+site+'">'+site+'</a>';
  }
</rb:script>

<table border="0" width="100%">
  <tr>
    <td>
      <table border="0" width="100%">
        <tr>
          <td height="1"><img src="/images/spacer.gif" width="100" height="1"/></td>
          <td height="1"><img src="/images/spacer.gif" width="300" height="1"/></td>
        </tr>
        <tr><td colspan="2"><h2>Public Profile for &quot;<rb:eval expr="profileMember.uName"/>&quot;</h2></td></tr>
        <rb:test expr="profile.isPublic()">
        <rb:false>
          <tr><td colspan="2"><hr></td></tr>
          <tr>
            <td colspan="2"><i>This user has no public profile.</i></td>
          </tr>
        </rb:false>
        <rb:true>
          <!-- Display the various elements of the public profile.-->
          <tr>
            <td>Name</td>
            <td>
              <rb:test expr="profile.data['name']">
                <rb:true><rb:eval expr="profile.member.name"/></rb:true>
                <rb:false><i>Not Disclosed</i></rb:false>
              </rb:test>
            </td>
          </tr>
          <tr>
            <td>Job Title</td>
            <td>
              <rb:test expr="profile.data['jobTitle']">
                <rb:true><rb:eval expr="profile.member.customData.regdata.jobTitle!=''?profile.member.customData.regdata.jobTitle:''"/></rb:true>
                <rb:false><i>Not Disclosed</i></rb:false>
              </rb:test>
            </td>
          </tr>
          <tr>
            <td>Organisation</td>
            <td>
              <rb:test expr="profile.data['org']">
                <rb:true><rb:eval expr="profile.member.customData.regdata.personalOrg!=''?profile.member.customData.regdata.personalOrg:parent.name"/></rb:true>
                <rb:false><i>Not Disclosed</i></rb:false>
              </rb:test>
            </td>
          </tr>
          <tr>
            <td>Web Site</td>
            <td>
              <rb:test expr="profile.data['website']">
                <rb:true><rb:eval expr="site"/></rb:true>
                <rb:false><i>Not Disclosed</i></rb:false>
              </rb:test>
            </td>
          </tr>
          <rb:test expr="profile.data['jobTitle'] && profile.member.jobTitle!=''">
            <rb:true>
              <tr><td>Job Title</td><td><rb:eval expr="profile.member.jobTitle"/></td></tr>
            </rb:true>
          </rb:test>
          <rb:test expr="profile.data['address'] && profile.member.addr1!=''">
            <rb:true>
              <tr><td>Address</td><td><rb:eval expr="profile.member.addr1"/></td></tr>
              <tr><td>&nbsp;</td><td><rb:eval expr="profile.member.addr2"/></td></tr>
              <tr><td>&nbsp;</td><td><rb:eval expr="profile.member.addr3"/></td></tr>
              <tr><td>&nbsp;</td><td><rb:eval expr="profile.member.addr4"/></td></tr>
              <tr><td>Post Code</td><td><rb:eval expr="profile.member.post_code"/></td></tr>
              <tr><td>Country/State</td><td><rb:eval expr="profile.member.country"/></td></tr>
            </rb:true>
            <rb:false>
              <tr><td>Address</td><td><i>Not Disclosed</i></td></tr>
            </rb:false>
          </rb:test>
          <tr>
            <td>Telephone</td>
            <td>
              <rb:test expr="profile.data['phone'] && profile.member.phone!=''">
                <rb:true><rb:eval expr="profile.member.phone"/></rb:true>
                <rb:false><i>Not Disclosed</i></rb:false>
              </rb:test>
            </td>
          </tr>
          <tr>
            <td>mobile</td>
            <td>
              <rb:test expr="profile.data['phone2'] && profile.member.phone2!=''">
                <rb:true><rb:eval expr="profile.member.phone2"/></rb:true>
                <rb:false><i>Not Disclosed</i></rb:false>
              </rb:test>
            </td>
          </tr>
        </rb:true>
        </rb:test>
      </table>
    </td>
    <td width="50" align="right">
      <a rb:eval="href#'/user/getpic.rhtm/pic.gif?memberid='+profile.member.ID"><img rb:eval="src#'/user/getpic.rhtm?memberid='+profile.member.ID" width="150" height="150"/></a>
    </td>
  </tr>
  <tr><td colspan="2"><hr></td></tr>
  <rb:test expr="ownProfile">
    <rb:true>
      <tr><td colspan="2" align="center">Click <a href="profile.rhtm?rbcmd-editProfile=yes"><i>here</i></a> to edit your profile</td></tr>
    </rb:true>
    <rb:false>
      <tr><td colspan="2" align="center"><a rb:eval="href#'/user/email.rhtm?memberid='+profile.member.ID">Email this member</a></td></tr>
    </rb:false>
  </rb:test>
  <tr><td colspan="2"><hr></td></tr>
  <!-- Finally - is there a description placed here by the user? -->
  <tr>
    <td colspan="2">
      <rb:test expr="profile.data.statement">
        <rb:true><rb:eval expr="statement"/></rb:true>
        <rb:false><i>Not Disclosed</i></rb:false>
      </rb:test>
    </td>
  </tr>
  <tr><td colspan="2"><hr></td></tr>
  <tr><td width="*" colspan="2" align="right"><rbm:returnButton value="Back"/></td></tr>
</table>
